<template>
  <div id="header-container">
    <div id="tempheader">
      <img :src="require('../assets/logo.png')" alt="Logo" width="209" height="125">
      <!-- <img :src="require('../assets/logo2.png')" alt='Logo' width=240 height=106/> -->
      <div id="descriptor">
        <h1>ДОСТАВКА ПИЦЦЫ. МОСКВА</h1>
        <h1>При покупке двух любых пицц – третья&nbsp;в&nbsp;подарок!</h1>
      </div>
      <div id="phone">
        <h2>НАГАТИНСКАЯ</h2>
        <a class="phone-number" href="tel:+74957921700">+7 (495) 792-17-00</a>
        <br>
        <br>
        <h2>ЮГО-ЗАПАДНАЯ</h2>
        <a class="phone-number" href="tel:+74959685644">+7 (495) 968-56-44</a>
        <br>
        <br>
        <div id="social-links">
          <!-- <a href="https://vk.com/mapizza" target="_blank">
                        <img class="icon" :src='require("../assets/svg_vk.svg")' />
          </a>-->
          <a href="https://www.facebook.com/motsnapizza/" target="_blank">
            <img class="icon" :src="require('../assets/svg_facebook.svg')">
          </a>
          <a href="https://www.instagram.com/mapizza.ru/" target="_blank">
            <img class="icon" :src="require('../assets/svg_instagram.svg')">
          </a>
        </div>
      </div>
    </div>

    <div id="header">Сайт временно находится на тех.обслуживании
      <br>Ждем Вашего звонка
    </div>
  </div>
</template>

<script>
import HeaderLink from "./HeaderLink";
import { mapGetters, mapMutations } from "vuex";
export default {};
</script>

<style scoped>
.icon {
  width: 20px;
  height: 20px;
}
#social-links {
  margin-top: 10px;
  text-align: center;
}
#social-links a {
  margin-left: 5px;
  margin-right: 5px;
}

h1 {
  font-size: 1.2em;
  padding-left: 20px;
  padding-right: 20px;
  padding-top: 5px;
}

h2 {
  font-size: 1.2em;
  text-align: center;
}

h3 {
  font-size: 1.5em;
}

#descriptor {
  min-width: 250px;
}

#phone {
  text-align: right;
  flex: 1;
}

.phone-number {
  font-size: 1.2em;
  text-align: center;
  color: #de601b;
}

#header-container {
  position: fixed;
  top: 0;
  width: 100vw;
  max-width: 1060px;
}

#tempheader {
  display: flex;
  flex-flow: column nowrap;
  width: 100%;
  align-items: center;
  background-color: white;
}

#tempheader div {
  margin-top: 10px;
  margin-bottom: 10px;
}

#header {
  display: flex;
  width: 100%;
  background-color: white;
  flex-flow: column nowrap;
  justify-content: space-between;
  align-items: center;
  padding-bottom: 10px;
  padding-top: 10px;
  font-size: 20px;
}

#header-menu {
  display: flex;
  flex-flow: row nowrap;
}

#cart-link {
  text-align: right;
  margin-bottom: 15px;
}

#cart-link a {
  border: none;
  padding: 7px;
  border-radius: 10px;
  background-color: #f0712c;
  color: white;
  width: 250px;
  transition: all 0.1s ease;
}

#cart-link a:hover {
  background-color: #de601b;
}
</style>



